org.bdgenomics.adam.rdd.variant

# VCFOutFormatter

###
Related Doc: package variant

#### case class VCFOutFormatter(conf: Configuration, stringency: ValidationStringency, optHeaderLines: Option[CollectionAccumulator[VCFHeaderLine]]) extends OutFormatter[VariantContext] with Logging with Product with Serializable

OutFormatter that reads streaming VCF.

conf

  Hadoop configuration.

stringency

  Validation stringency.

optHeaderLines

  Optional accumulator for VCF header lines.

Linear Supertypes
Product, Equals, Logging, OutFormatter[VariantContext], Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VCFOutFormatter
2. Product
3. Equals
4. Logging
5. OutFormatter
6. Serializable
7. Serializable
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new VCFOutFormatter(conf: Configuration, optHeaderLines: Option[CollectionAccumulator[VCFHeaderLine]])

   OutFormatter that reads streaming VCF.

   OutFormatter that reads streaming VCF. Defaults to ValidationStringency.LENIENT. Java-friendly constructor.

   conf

     Hadoop configuration.

   optHeaderLines

     Optional accumulator for VCF header lines.

2. #### new VCFOutFormatter(conf: Configuration, acc: CollectionAccumulator[VCFHeaderLine])

   OutFormatter that reads streaming VCF.

   OutFormatter that reads streaming VCF. Defaults to ValidationStringency.LENIENT. Java-friendly constructor.

   conf

     Hadoop configuration.

   acc

     Accumulator for VCF header lines.

3. #### new VCFOutFormatter(conf: Configuration, stringency: ValidationStringency)

   OutFormatter that reads streaming VCF.

   OutFormatter that reads streaming VCF. Java-friendly constructor.

   conf

     Hadoop configuration.

4. #### new VCFOutFormatter(conf: Configuration)

   OutFormatter that reads streaming VCF.

   OutFormatter that reads streaming VCF. Defaults to ValidationStringency.LENIENT. Java-friendly no-arg constructor.

   conf

     Hadoop configuration.

5. #### new VCFOutFormatter(conf: Configuration, stringency: ValidationStringency, optHeaderLines: Option[CollectionAccumulator[VCFHeaderLine]])

   conf

     Hadoop configuration.

   stringency

     Validation stringency.

   optHeaderLines

     Optional accumulator for VCF header lines.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val conf: Configuration

   Hadoop configuration.

7. #### def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

8. #### def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

9. #### def debug(msg: ⇒ Any): Unit

   Attributes
     protected
   Definition Classes
     Logging

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

12. #### def error(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

13. #### def error(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

17. #### def info(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

18. #### def info(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def isDebugEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

20. #### def isErrorEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

21. #### def isInfoEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def isTraceEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

24. #### def isWarnEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logger: Logger

    Attributes
      protected
    Definition Classes
      Logging

26. #### def loggerName: String

    Attributes
      protected
    Definition Classes
      Logging

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### val optHeaderLines: Option[CollectionAccumulator[VCFHeaderLine]]

    Optional accumulator for VCF header lines.

31. #### def read(is: InputStream): Iterator[VariantContext]

    Reads VariantContexts from an input stream.

    Reads VariantContexts from an input stream. Autodetects VCF format.

    is

      An InputStream connected to a process we are piping from.

    returns

      Returns an iterator of AlignmentRecords read from the stream.

    Definition Classes
      VCFOutFormatter → OutFormatter

32. #### val stringency: ValidationStringency

    Validation stringency.

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

35. #### def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

36. #### def trace(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

41. #### def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

42. #### def warn(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from OutFormatter[VariantContext]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped